/**
 * This class records Item stock levels for the entire company. It is comparable
 * with an instance of RegisteredItem and stock level is not considered a 
 * significant field: a Type 1 relationship.
 */

package equality;

/**
 *
 * @author Martin
 */
public class DataItem extends RegisteredItem {
    
    // not a significant field so equals() and hashcode() are not overriden 
    private int stockLevel = 0;

    public DataItem(String itemID, String categoryID) {
        super(itemID, categoryID);
    }
    
    public void increaseStock (int increment) {
        stockLevel += increment;
    }
    
    public void decreaseStock (int deccrement) {
        stockLevel -= deccrement;
    }

    public int getStockLevel() {
        return stockLevel;
    }    
}
