/**
 * Using equality of the third kind a RegionItem3 can only be equal to a 
 * RegisterdItem if its regionId is zero. A Type 3 relationship.
 */

package equality;

/**
 *
 * @author Martin
 */
public class RegionItem3 extends RegisteredItem {
    
    private int regionID;

    public RegionItem3(int regionID, String itemID, String categoryID) {
        super(itemID, categoryID);
        this.regionID = regionID;
    }

    @Override
    protected boolean equalFields(RegisteredItem other) {
        return (regionID == 0 && super.equalFields(other));
    }
    
    protected boolean equalFields(RegionItem3 other) {
        
        if (this. regionID != other.regionID)
            return false;
        if (! super.equalFields(other))
            return false;
        return true;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) return true;
        if (obj instanceof RegisteredItem) {
            if (obj instanceof RegionItem3)
                return ((RegionItem) obj).equalFields(this);
            return equalFields((RegisteredItem)obj);
        }
        return false;
    }

    /**
     * With other fields matching a RegionItem3 will have the same hash as 
     * RegisteredItem only if its regionId is zero.
     */
    @Override
    public int hashCode() {
        int hash = super.hashCode();
        hash = hash + 83 * this.regionID;
        return hash;
    }

    public int getRegionID() {
        return regionID;
    } 
    
}
