/**
 * RegisteredItem supplies a base class for items held in stock by a company.
 */

package equality;

import java.util.Objects;

/**
 *
 * @author Martin
 */
public class RegisteredItem {
    private final String itemID;
    private final String categoryID;

    public RegisteredItem(String itemID, String categoryID) {
        this.itemID = itemID;
        this.categoryID = categoryID;
    }

    protected boolean equalFields(RegisteredItem other) {
            return (this.itemID == other.itemID &&
                       this.categoryID.equals(other.categoryID));
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 73 * hash + Objects.hashCode(this.itemID);
        hash = 73 * hash + Objects.hashCode(this.categoryID);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) return true;
        return (obj instanceof RegisteredItem &&
                ((RegisteredItem)obj).equalFields(this));
    }

    public String getItemID() {
        return itemID;
    }

    public String getCategoryID() {
        return categoryID;
    }
    
}
