/**
 * This class records Item stock levels within a region. It is comparable
 * with an instance of RegionItem and stock level is not considered a 
 * significant field: a Type 1 relationship.
 * 
 */

package equality;

/**
 *
 * @author Martin
 */
public class RgnDataItem extends RegionItem {
    
    // not a significant field so equals() and hashcode() are not overriden 
    private int stockLevel = 0;

    public RgnDataItem(int regionID, String itemID, String categoryID) {
        super(regionID, itemID, categoryID);
    }
    
    public void increaseStock (int increment) {
        stockLevel += increment;
    }
    
    public void decreaseStock (int deccrement) {
        stockLevel -= deccrement;
    }

    public int getStockLevel() {
        return stockLevel;
    }    
    
}
